Forráskód Böngészése

[CI] Fix lint issues

Wojtek Porczyk 4 éve
szülő
commit
3abc77dc1d
3 módosított fájl, 5 hozzáadás és 0 törlés
  1. 1 0
      .ci/prfilter
  2. 2 0
      .ci/run-pylint
  3. 2 0
      .ci/run-shellcheck

+ 1 - 0
.ci/prfilter

@@ -48,6 +48,7 @@ class Diff:
 
     The default diff is to the ``origin/master`` ref.
     '''
+    # pylint: disable=too-few-public-methods
 
     def __init__(self, ref=DEFAULT_REF):
         self._files = get_diff_ranges(ref)

+ 2 - 0
.ci/run-pylint

@@ -1,5 +1,7 @@
 #!/bin/sh
 
+set -e
+
 cd "$(git rev-parse --show-toplevel)"
 
 find . -name \*.py \

+ 2 - 0
.ci/run-shellcheck

@@ -1,5 +1,7 @@
 #!/bin/sh
 
+set -e
+
 cd "$(git rev-parse --show-toplevel)"
 
 shellcheck "$@" \